Commit 8c97d182 authored by sajolida's avatar sajolida
Browse files

Ask people without JavaScript to allow it temporarily

That's a shame but it's needed since we embed the display logic in
JavaScript on the page. Maybe we should have done it the other way
around but it's too late now to change our minds for a first release.

Also note that running the verification in Tor Browser with the security
slider set to high takes much much longer. Running with No Script
outside of Tor Browser is roughly the same speed as without No Script.
parent 88047814
...@@ -37,8 +37,11 @@ ...@@ -37,8 +37,11 @@
<div id="install-extension" class="indent"> <div id="install-extension" class="indent">
<a href="https://addons.mozilla.org/firefox/downloads/latest/tails-verification/addon-tails-verification-latest.xpi" class="install-extension-btn supported-browser firefox btn btn-primary">Install <u>Tails Verification</u> extension</a> <a href="https://addons.mozilla.org/firefox/downloads/latest/tails-verification/addon-tails-verification-latest.xpi" class="install-extension-btn supported-browser firefox btn btn-primary">Install <u>Tails Verification</u> extension</a>
<a class="install-extension-btn supported-browser chrome btn btn-primary">Install <u>Tails Verification</u> extension</a> <a class="install-extension-btn supported-browser chrome btn btn-primary">Install <u>Tails Verification</u> extension</a>
<a href="https://addons.mozilla.org/firefox/downloads/latest/tails-verification/addon-tails-verification-latest.xpi" class="install-extension-btn no-js btn btn-primary">Install extension for <u>Firefox and Tor Browser</u></a> <div class="no-js">
<a href="https://chrome.google.com/webstore/detail/tails-verification/gaghffbplpialpoeclgjkkbknblfajdl/" target="_blank" class="install-extension-btn no-js btn btn-primary">Install extension for <u>Chrome and Chromium</u></a> <p>You seem to have JavaScript disabled. To use our browser
extension, please allow all this page:</p>
[[!img screenshots/allow_js.png link="no"]]
</div>
</div> </div>
<div id="update-extension" class="indent block"> <div id="update-extension" class="indent block">
<p>Your extension is an older version.</p> <p>Your extension is an older version.</p>
......
...@@ -87,3 +87,7 @@ span.step-number { ...@@ -87,3 +87,7 @@ span.step-number {
#already-downloaded { #already-downloaded {
cursor: pointer; cursor: pointer;
} }
#install-extension .no-js img {
border: 1px solid black;
}
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment